import socket
from http.server import BaseHTTPRequestHandler

class SimpleHTTPRequestHandler(BaseHTTPRequestHandler):
   def do_POST(self):
       content_length = int(self.headers['Content-Length'])
       post_data = self.rfile.read(content_length)
       print('Received', repr(post_data))

# Create a socket object
s = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

# Define the port on which you want to connect
port = 2001

# Bind to the port
s.bind(('', port))

# Put the socket into listening mode
s.listen(5)
print("Socket is listening")

# A forever loop until we interrupt it or
# an error occurs
while True:
 # Establish connection with client
 c, addr = s.accept()
 print('Got connection from', addr)

 # Create a request handler object
 request_handler = SimpleHTTPRequestHandler(c, addr, s)

 # Handle the request
 request_handler.handle_one_request()

 # Close the connection with the client
 c.close()
